How to print exception traceback in Python

31 Aug · by Tim Kamanin · 0 min read

Sometimes you're deep down in the code, and you need to debug an error quickly, send a traceback somewhere or log it into a file.

Here's how you can print the traceback of an error in the Python:

python
import traceback

try:
    raise Boom('This is where our code blows')
except Exception:
    # here's how you get a traceback output
    traceback_output = traceback.format_exc()
    # Now you can print it, or send it, or save it in a file
    print(traceback_output)

It's a quick and dirty solution, and you probably should be using more sophisticated ways of debugging like error logging, but sometimes you don't have a choice.

Hope it helps someone, tweet me @timonweb so I know.

Want to get more 🔥 tips like this one?

Subscribe to get notified about new dev tutorials